Skip to main content
POST
/
v1
/
{cardId}
/
provision
/
googlepay
Google Pay push provisioning
curl --request POST \
  --url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/wallet/v1/{cardId}/provision/googlepay' \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "clientAppID": "<string>",
  "clientDeviceID": "<string>",
  "clientWalletAccountID": "<string>",
  "googleOpaquePaymentCardRequested": false,
  "serverSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "digitizationData": "<string>",
  "googleOpaquePaymentCard": "<string>"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

cardId
integer<int64>
required

CardId for the card that should be provisioned (returned from card operation)

Query Parameters

auditUser
string
required

The audit user to log the request

Body

application/json
clientAppID
string

Only applicable for VTS customers

Maximum string length: 36
clientDeviceID
string
clientWalletAccountID
string
googleOpaquePaymentCardRequested
boolean
default:false

When true, a Google OPC is generated and returned in googleOpaquePaymentCard. Requires serverSessionId.

serverSessionId
string<uuid>

UUID generated by the Google Wallet SDK for Unified Push Provisioning. Required when googleOpaquePaymentCardRequested is true; ignored otherwise.

Response

OK

digitizationData
string

Base64 encoded json structure containing needed data for MDES/VTS

googleOpaquePaymentCard
string

Base64-encoded (RFC 4648 §4, non-URL-safe) PGP signed and encrypted Google Opaque Payment Card. Present only on Google Pay provisioning responses when the request included a serverSessionId.